commit:     b903f22195c8d93141b3b60e7a787da0b2fb0043
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 17 21:23:48 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Oct 17 21:53:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b903f221

dev-python/py-amqp: 2.6.1 bump

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/py-amqp/Manifest             |  1 +
 dev-python/py-amqp/py-amqp-2.6.1.ebuild | 67 +++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-python/py-amqp/Manifest b/dev-python/py-amqp/Manifest
index 3e99ef14715..6141de7c417 100644
--- a/dev-python/py-amqp/Manifest
+++ b/dev-python/py-amqp/Manifest
@@ -1 +1,2 @@
 DIST amqp-2.5.2.tar.gz 117788 BLAKE2B 
6a6990aca0a43a0c546198b999d0d3680d6c44908e144f81bd8266abac4d2d9b7ea4c65bbf969310f1236970ebe0ef5ed44cc558109ba1f680348e3ba2789e83
 SHA512 
c540ce39c06bb947e55b4afc56567d5fc5a82b65a2f7e2cc1f769f96da74f788d14e1e9c02852a259a4980c36a4524f07166686c0357f96219fd9f8612a6159a
+DIST amqp-2.6.1.tar.gz 119956 BLAKE2B 
a575637ca3d39ef8577035ae156f09b87dfb053757cb78b058fcb4f23759707084297e12941c766783e99898c486ea8eca968842464223ea46f42a4e4495c0a4
 SHA512 
e2c628cfe8075a3014a9fe991ae3e6f49198db2ecd46dd48f980730da692e4d25d9f055b1ccd4743917fc38a8afa69a5902a64275f8f45ef68113c6756f3a17b

diff --git a/dev-python/py-amqp/py-amqp-2.6.1.ebuild 
b/dev-python/py-amqp/py-amqp-2.6.1.ebuild
new file mode 100644
index 00000000000..29b61f57bf4
--- /dev/null
+++ b/dev-python/py-amqp/py-amqp-2.6.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7,8} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+inherit distutils-r1
+
+MY_PN="amqp"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Low-level AMQP client for Python (fork of amqplib)"
+HOMEPAGE="https://github.com/celery/py-amqp https://pypi.org/project/amqp/";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc extras test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="
+       >=dev-python/vine-1.1.3[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx_celery[${PYTHON_USEDEP}]
+       )
+       test? (
+               >=dev-python/case-1.3.1[${PYTHON_USEDEP}]
+               >=dev-python/pytest-3.0[${PYTHON_USEDEP}]
+               <=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+               dev-python/pytest-cov[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               >=dev-python/pytest-rerunfailures-6.0[${PYTHON_USEDEP}]
+       )
+"
+
+python_prepare_all() {
+       # pytest-sugar is not packaged
+       sed -e '/pytest-sugar/d' -i requirements/test.txt || die
+
+       # requires a rabbitmq instance
+       rm t/integration/test_rmq.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       esetup.py test
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       if use extras; then
+               insinto /usr/share/${PF}/extras
+               doins -r extra
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to